import type { _NSCloudSharingServiceDelegate } from "../AppKit/NSCloudSharingServiceDelegate.js";
import type { _NSImage } from "../AppKit/NSImage.js";
import type { _NSMenuItem } from "../AppKit/NSMenuItem.js";
import type { _NSView } from "../AppKit/NSView.js";
import type { _NSItemProvider } from "../Foundation/NSItemProvider.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _SWCollaborationViewDelegate } from "./SWCollaborationViewDelegate.js";
export declare class _SWCollaborationView extends _NSView {
    static alloc(): _SWCollaborationView;
    static new(): _SWCollaborationView;
    init(): _SWCollaborationView;
    setContentView$(detailViewListContentView: _NSView): void;
    initWithItemProvider$(itemProvider: _NSItemProvider): _SWCollaborationView;
    /**
     * Dismisses the popover, if presented. Called when the popover dismissal finishes.
     */
    dismissPopover$(completion: (() => void) | null): void;
    /**
     * whether the collaboration popover should show the default manage participants button in the popover, defaults to YES whether the button should be hidden
     */
    setShowManageButton$(showManageButton: boolean): void;
    cloudSharingDelegate(): _NSCloudSharingServiceDelegate | null;
    setCloudSharingDelegate$(value: _NSCloudSharingServiceDelegate | null): void;
    activeParticipantCount(): number;
    setActiveParticipantCount$(value: number): void;
    delegate(): _SWCollaborationViewDelegate | null;
    setDelegate$(value: _SWCollaborationViewDelegate | null): void;
    headerTitle(): _NSString;
    setHeaderTitle$(value: _NSString): void;
    headerSubtitle(): _NSString;
    setHeaderSubtitle$(value: _NSString): void;
    headerImage(): _NSImage;
    setHeaderImage$(value: _NSImage): void;
    menuFormRepresentation(): _NSMenuItem;
    /**
     * If you are using the built in manage share button, this delegate property will be forwarded along to the NSCloudSharingService that button presents. If you have your own and suppress the provided one via setShowManageButton, this does nothing.
     */
    cloudSharingServiceDelegate(): _NSCloudSharingServiceDelegate | null;
    setCloudSharingServiceDelegate$(value: _NSCloudSharingServiceDelegate | null): void;
    /**
     * sets the title of the manage participants button in the collaboration popover to the given string, defaults to "Manage Share"
     */
    manageButtonTitle(): _NSString;
    setManageButtonTitle$(value: _NSString): void;
}
